> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest transactions

> Lists the latest transactions.



## OpenAPI

````yaml get /apechain/v1/transactions
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/transactions:
    get:
      tags:
        - Transactions
      summary: Get latest transactions
      description: Lists the latest transactions.
      operationId: getLatestTransactions
      parameters:
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsWithCursor'
              examples:
                example1:
                  value:
                    - cursor: null
                      transactions:
                        - block_hash: >-
                            0xaed45b642aeed86ae64adc2ff4d84c3768c994c58a403f4fe0fa8dc196a9f1a0
                          block_number: 12550750
                          block_timestamp: '2025-03-31T16:19:13Z'
                          contract_address: ''
                          cumulative_gas_used: '92182'
                          effective_gas_price: '25420690000'
                          from_address: '0x4b6d2597ad515d533227e60ca3dff78cf3db6f36'
                          gas: '294708'
                          gas_price: '26920690000'
                          gas_used: '92182'
                          input: >-
                            0x42842e0e0000000000000000000000004b6d2597ad515d533227e60ca3dff78cf3db6f36000000000000000000000000bfa907cb4718b2648c06c7cea7ed7984823733f300000000000000000000000000000000000000000000000000000000000003f2
                          l1_fee: null
                          l1_fee_scalar: null
                          l1_gas_price: null
                          l1_gas_used: null
                          max_fee_per_gas: '35817931500'
                          max_priority_fee_per_gas: '1500000000'
                          nonce: '2485'
                          status: 1
                          to_address: '0x5cb92cadff2562673ba59c5f510c23df5633696f'
                          transaction_hash: >-
                            0x0b7b21399aeaaeb058514f7da1f702ae0a825ef73b2219038b13400f84884d9a
                          transaction_index: 1
                          transaction_type: 2
                          value: '0'
                        - block_hash: >-
                            0xaed45b642aeed86ae64adc2ff4d84c3768c994c58a403f4fe0fa8dc196a9f1a0
                          block_number: 12550750
                          block_timestamp: '2025-03-31T16:19:13Z'
                          contract_address: ''
                          cumulative_gas_used: '0'
                          effective_gas_price: '25420690000'
                          from_address: '0x00000000000000000000000000000000000a4b05'
                          gas: '0'
                          gas_price: '0'
                          gas_used: '0'
                          input: >-
                            0x6bf6a42d000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000…00000000000000000000000000000000000000000000000000000bf825e0000000000000000000000000000000000000000000000000000000000000002
                          l1_fee: null
                          l1_fee_scalar: null
                          l1_gas_price: null
                          l1_gas_used: null
                          max_fee_per_gas: ''
                          max_priority_fee_per_gas: ''
                          nonce: '0'
                          status: 1
                          to_address: '0x00000000000000000000000000000000000a4b05'
                          transaction_hash: >-
                            0x99348a6a99f0ab183324faffa68ea7eeefd7b03f6b074c860b9fc6e97be0bf7e
                          transaction_index: 0
                          transaction_type: 106
                          value: '0'
                        - ...
          description: Successful response
        '400':
          description: Bad request
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    TransactionsWithCursor:
      properties:
        cursor:
          nullable: true
          type: string
        transactions:
          items:
            $ref: '#/components/schemas/Transaction'
          type: array
      required:
        - transactions
      type: object
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        decoded:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        input:
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
        - decoded
      type: object

````